Bug 962571 - pahole vs. c++11
pahole vs. c++11
Product: Fedora
Classification: Fedora
Component: dwarves (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Arnaldo Carvalho de Melo
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-13 18:40 EDT by Benjamin Kosnik
Modified: 2016-07-19 06:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-19 06:12:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
simple class tester with abstract base class (613 bytes, text/plain)
2013-05-13 18:40 EDT, Benjamin Kosnik
no flags Details

  None (edit)
Description Benjamin Kosnik 2013-05-13 18:40:10 EDT
Created attachment 747460 [details]
simple class tester with abstract base class

Description of problem:

Take the attached sources, and compile for C++11 like:

%g++ -g -std=gnu++11 test.cc
%pahole ./a.out
die__process_unit: DW_TAG_rvalue_reference_type (0x42) @ <0x1cf> not handled!

Then do the same thing for C++98:
%g++ -g sa-04-C.cc
%pahole ./a.out


So, there is some weird C++11 DWARF construct that pahole is choking on.

This is only with gcc-4.8 and above.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 2 Fedora End Of Life 2013-12-21 08:31:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Mark Wielaard 2013-12-21 12:04:44 EST
This is still an issue with dwarves-1.10-4.fc20.x86_64 and gcc-c++-4.8.2-7.fc20.x86_64:

g++ -g -std=gnu++11 test.cc
pahole ./a.out 
die__process_unit: DW_TAG_rvalue_reference_type (0x42) @ <0x1e7> not handled!
Comment 4 Jaroslav Reznik 2015-03-03 09:55:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
Comment 5 Arnaldo Carvalho de Melo 2016-03-15 15:43:19 EDT
Initial support upstream at:


Please take a look, more work needs to be done.
Comment 6 Fedora End Of Life 2016-07-19 06:12:05 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.